package cn.com.qmth.scancentral.controller.admin;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;

import cn.com.qmth.scancentral.controller.BaseController;
import cn.com.qmth.scancentral.service.BatchService;
import cn.com.qmth.scancentral.vo.SubjectVo;
import cn.com.qmth.scancentral.vo.batch.BatchSubjectQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "批次接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/batch")
@Aac(strict = false, auth = true)
public class BatchController extends BaseController {

    @Autowired
    private BatchService batchService;

    @ApiOperation(value = "获取扫描批次科目列表")
    @PostMapping("subject/list")
    public List<SubjectVo> subjectList(BatchSubjectQuery req) {
        return batchService.subjectList(req);
    }

}